---
title: ScriptProcessorNode.onaudioprocess
slug: Web/API/ScriptProcessorNode/onaudioprocess
tags:
  - API
  - Property
  - Reference
  - Référence(2)
  - ScriptProcessorNode
  - Web Audio API
  - onaudioprocess
---
<p>{{APIRef("Web Audio API")}}</p>

<div class="note">
<p><strong>Note</strong>: As of the August 29 2014 Web Audio API spec publication, this feature has been marked as deprecated, and is soon to be replaced by <a href="/en-US/docs/Web/API/Web_Audio_API#Audio_Workers">Audio Workers</a>.</p>
</div>

<div>
<p>The <code>onaudioprocess</code> event handler of the {{domxref("ScriptProcessorNode")}} interface represents the {{domxref("EventHandler")}} to be called for the <code>audioprocess</code> event that is dispatched to <code>ScriptProcessorNode</code> node types. An event of type {{domxref("AudioProcessingEvent")}} will be dispatched to the event handler.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var scriptNode = audioCtx.createScriptProcessor(4096, 1, 1);
scriptNode.onaudioprocess = function() { ... }</pre>
</div>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createScriptProcessor","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#widl-ScriptProcessorNode-onaudioprocess', 'onaudioprocess')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ScriptProcessorNode.onaudioprocess")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
